当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 1 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 降级beryl-core失败
帖子发表于 : 2007-09-02 17:39 

注册: 2007-04-05 13:26
帖子: 45
送出感谢: 0 次
接收感谢: 0 次
x1300显卡
只支持xgl
按照官方的方法:
代码:
Check ATI Driver

    *

      Install your ATI card driver (System-->Administration-->Restricted Driver Manager)
    *

      Restart your computer
    *

      In a terminal type:

$ fglrxinfo

You should see this ouputed on your terminal window like:

display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: RADEON XPRESS Series
OpenGL version string: 2.0.6334 (8.34.8)

Install Xgl & Beryl

Add the Beryl repositories to your source list. In a terminal type:

gksudo gedit /etc/apt/sources.list

Add this line to Your Source Lists

deb http://ubuntu.beryl-project.org/ feisty main

save and close file

Grab the Key for the repository, in a terminal type:

sudo wget http://ubuntu.beryl-project.org/root@lupine.me.uk.gpg -O- | sudo apt-key add -

Update Your System. In a terminal type:

sudo apt-get update

Now install Xgl & Beryl; In a terminal type:

sudo apt-get install xserver-xgl beryl-ubuntu beryl-manager

Setting Up XGL

In a terminal type:

gksudo gedit /usr/local/bin/startxgl.sh

and this to the file:

#!/bin/sh
Xgl :1 -fullscreen -ac -accel xv:pbuffer -accel glx:pbuffer &
DISPLAY=:1
cookie="$(xauth -i nextract - :0 | cut -d ' ' -f 9)"
xauth -i add :1 . "$cookie"
exec dbus-launch --exit-with-session gnome-session

save and close file

Then make the xgl script executable by entering this into a terminal:

sudo chmod a+x /usr/local/bin/startxgl.sh

Creating a XGL Login

Make the script, by typing this into a terminal:

gksudo gedit /usr/share/xsessions/xgl.desktop

add this text to the file:

[Desktop Entry]
Encoding=UTF-8
Name=Xgl
Comment=Start an Xgl Session
Exec=/usr/local/bin/startxgl.sh
Icon=
Type=Application

save and close file
Change Your Repository Settings

In a terminal type:

gksudo gedit /etc/apt/preferences

Then add this ext to the file

Package: *
Pin: release o=lupine
Pin-Priority: 1000

save and close file

Update Your System. In a terminal type:

sudo apt-get update

Roll Back Beryl-Core

Downgrade beryl- core to a version that works with Xgl. In a terminal type:

sudo apt-get install beryl-core=0.2.0~0beryl1

Now You Just have to Log off and Log into your XGL session and run beryl (Applications-->System Tools-->Beryl Manager).

以前曾经安装成功过beryl
但是每次update系统都必须Roll Back Beryl-Core最近源里面没有beryl的老的核心了不知道怎么办了
降级beryl-core失败
$ sudo apt-get install beryl-core=0.2.0~0beryl1
Password:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
E: 未找到“beryl-core”的“0.2.0~0beryl1”版本
所以窗口管理器运行失败
又舍不得把beryl删除了
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 1 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译